Method: projects.apps.reports.get

Get a report with its computed results.

HTTP request

GET https://firebasecrashlytics.googleapis.com/v1alpha/{name=projects/*/apps/*/reports/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The report name. Format: "projects/{project}/apps/{app_id}/reports/{report}".

Query parameters

Parameters
filter

object (ReportFilters)

Optional. Filters to customize the report.

pageSize

integer

Optional. The maximum number of result groups to return. If omitted, defaults to 25.

pageToken

string

Optional. A page token, received from a previous call. The page token is only valid for the exact same set of filters, which must also be sent in subsequent requests. This token is valid for 10 minutes after the first request.

granularity

enum (TimeGranularity)

Optional. The report response will contain one data point per time grain. If omitted, the report will contain a single data point for the complete interval.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Report.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/firebase

For more information, see the OAuth 2.0 Overview.

ReportFilters

Filters for all reports. Multiple conditions for the same field are combined in an ‘OR’ expression and different fields are combined with ‘AND’. All fields are optional.

JSON representation
{
  "interval": {
    object (Interval)
  },
  "version": {
    object (VersionFilter)
  },
  "issue": {
    object (IssueFilter)
  },
  "operatingSystem": {
    object (OperatingSystemFilter)
  },
  "device": {
    object (DeviceFilter)
  },
  "browser": {
    object (BrowserFilter)
  }
}
Fields
interval

object (Interval)

Optional. Only count events which occurred during the time interval. Valid values are from 90 calendar days ago to the current time. The default interval for all reports is the previous 7 days.

version

object (VersionFilter)

Optional. Only count events from the given application versions.

issue

object (IssueFilter)

Optional. Only count events with the desired issue characteristics.

operatingSystem

object (OperatingSystemFilter)

Optional. Only count events from the given operating system versions.

device

object (DeviceFilter)

Optional. Only count events from the given device models.

browser

object (BrowserFilter)

Optional. Only count events from the given browser.

TimeGranularity

The granularity of time intervals for reports.

Enums
TIME_GRANULARITY_UNSPECIFIED Unknown.
TIME_GRANULARITY_NONE Returns a single interval for the requested time range.
TIME_GRANULARITY_HOUR Hour.
TIME_GRANULARITY_DAY Day.